For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a Message by ID

Get a message by id

get

This method returns the message that matches the entered ID.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
message_idintegerRequired

The message's ID.

Responses
200

Message object

application/json
account_idintegerRequiredExample: 1
addressstring · nullableOptional

The address used to signed the message

Default: nullExample: bc1q2kqvs8wx455lw2f69j5z34emypjup07fp0fcrp
created_byintegerRequiredExample: 5
created_onstring · date-timeRequired
datastringRequired

The content of the message

Example: Welcome to the web3
idintegerRequired
last_requestinteger · nullableOptionalDefault: nullExample: 3
message_typeundefined · enumRequired

The type of the message

Example: EIP-191Possible values:
signaturestring · nullableOptional

The DER signature of the message

Default: nullExample: 0x
statusstring · enumRequiredExample: PENDING_APPROVALPossible values:
typeanyOptionalDefault: MESSAGE_SIGNATURE
get/messages/{message_id}
GET /messages/{message_id} HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
  "account_id": 1,
  "address": "bc1q2kqvs8wx455lw2f69j5z34emypjup07fp0fcrp",
  "created_by": 5,
  "created_on": "2026-01-01T00:00:00.000Z",
  "data": "Welcome to the web3",
  "id": 1,
  "last_request": 3,
  "message_type": "EIP-191",
  "notes": [
    {
      "content": "some information about this transaction",
      "title": "a note title"
    }
  ],
  "signature": "0x",
  "status": "PENDING_APPROVAL",
  "type": "MESSAGE_SIGNATURE"
}

Last updated